org.apache.solr.client.solrj.io.stream.expr

## Class StreamExpressionNamedParameter

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.expr.StreamExpressionNamedParameter

All Implemented Interfaces:
  StreamExpressionParameter

    public class StreamExpressionNamedParameter
    extends Object
    implements StreamExpressionParameter

Provides a named parameter

### Constructor Summary

Constructors
Constructor and Description
`StreamExpressionNamedParameter(String name)`
`StreamExpressionNamedParameter(String name, StreamExpressionParameter parameter)`
`StreamExpressionNamedParameter(String name, String parameter)`

### Method Summary

Methods
`boolean` `equals(Object other)`
`String` `getName()`
`StreamExpressionParameter` `getParameter()`
`void` `setName(String name)`
`void` `setParameter(StreamExpressionParameter parameter)`
`void` `setParameter(String parameter)`
`String` `toString()`
`StreamExpressionNamedParameter` `withParameter(StreamExpressionParameter parameter)`
`StreamExpressionNamedParameter` `withParameter(String parameter)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StreamExpressionNamedParameter

    public StreamExpressionNamedParameter(String name)

#### StreamExpressionNamedParameter

    public StreamExpressionNamedParameter(String name,
                                  String parameter)

#### StreamExpressionNamedParameter

    public StreamExpressionNamedParameter(String name,
                                  StreamExpressionParameter parameter)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getParameter

    public StreamExpressionParameter getParameter()

#### setParameter

    public void setParameter(StreamExpressionParameter parameter)

#### withParameter

    public StreamExpressionNamedParameter withParameter(StreamExpressionParameter parameter)

#### setParameter

    public void setParameter(String parameter)

#### withParameter

    public StreamExpressionNamedParameter withParameter(String parameter)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`